/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * CatalogItemLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface CatalogItemLocal extends EJBLocalObject
{
    public String getId()
        throws EJBException;

    public String getName()
        throws EJBException;

    public String getDescription()
        throws EJBException;

    public String getBrand()
        throws EJBException;

    public float getPrice()
        throws EJBException;

    public CatalogLocal getCatalog()
        throws EJBException;

    public ProductLocal getProduct()
        throws EJBException;
}
